// Author(s) : Sathya Chandran Sundaramurthy
// Copyright (C) 2012, Argus Cybersecurity Lab, Kansas State University

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package core.graph;

import java.util.ArrayList;
import java.util.Arrays;

public class Graph {

	public ArrayList<SnipsNode> nodes;

	public Graph(SnipsNode[] n) {

		nodes = new ArrayList<SnipsNode>(Arrays.asList(n));

	}

	public Graph() {
		nodes = new ArrayList<SnipsNode>();
	}

	public Graph(ArrayList<SnipsNode> nodes) {
		this.nodes = nodes;
	}

	public void acyclic() {
		for (int i = 0; i < this.nodes.size(); i++) {
			this.nodes.get(i).inpath = false;
			this.nodes.get(i).visited = false;
		}
		for (int i = 0; i < this.nodes.size(); i++) {
			this.nodes.get(i).Directed_DFS();
		}
	}

	public ArrayList<SnipsNode> getNodes() {

		return nodes;
	}

	public int getNumberOfNodes() {

		return nodes.size();
	}
}
